This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 237800 - Wrong init script
Wrong init script
Status: CLOSED DUPLICATE of bug 246875
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: avahi (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
:
Depends On:
Blocks: 237789 237801 237802
  Show dependency treegraph
 
Reported: 2007-04-25 10:50 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 14:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 10:50:32 EDT
Description of problem:
Following code ends up with error code 0 when networking is not presented even
though the service is not started. It also forbids the correct run of status
command of the script.
[ ${NETWORKING} = "no" ] && exit 0

AVAHI_BIN=/usr/sbin/avahi-daemon
test -x $AVAHI_BIN || exit 5
It appears in both avahi-daemon and avahi-dnsconfd. Also incorrect return codes
through the code are present.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service netowrk stop
2. service avahi-daemon start/status
3. echo $?
  
Actual results:
0

Expected results:
non-zero result with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-12-03 15:42:13 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 2 Lennart Poettering 2008-03-27 14:11:59 EDT
This has been fixed a while back upstream r1532, and in Fedora
avahi-0.6.21-3.fc8 and is a duplicate of 246875.

*** This bug has been marked as a duplicate of 246875 ***

Note You need to log in before you can comment on or make changes to this bug.